| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Classes | Functions
GaudiRoot Namespace Reference

## Classes
class | IOHandler
union | RefAccessor

## Functions
bool | patchStreamers (MsgStream &log)
void | resetLastLink ()
void | pushCurrentDataObject (DataObject **pobjAddr)
void | popCurrentDataObject ()

## Function Documentation

bool GaudiRoot::patchStreamers | ( | MsgStream & | log | ) |

Definition at line 199 of file RootIOHandler.cpp.

199 {
200 static bool first = true;
201 if ( first ) {
202 first = false;
203 #if ROOT_VERSION_CODE < ROOT_VERSION(5,99,0)
204 gSystem->Load("libCintex");
205 gROOT->ProcessLine("Cintex::Cintex::Enable()");
206 gROOT->ProcessLine("#include <vector>");
207 gInterpreter->EnableAutoLoading();
208 gInterpreter->AutoLoad("DataObject");
209 gInterpreter->AutoLoad("PoolDbLinkManager");
210 gSystem->Load("libGaudiKernelDict");
211 gSystem->Load("libGaudiExamplesDict");
212 #else
213 gInterpreter->EnableAutoLoading();
214 gInterpreter->AutoLoad("DataObject");
215 gInterpreter->AutoLoad("PoolDbLinkManager");
216 #endif
217
218
219 bool b1 = makeStreamer<SmartRefBase>(s);
220 bool b2 = makeStreamer<ContainedObject>(s);
221 bool b3 = makeStreamer<pool::Token>(s);
222 return b1 && b2 && b3;
223 }
224 return true;
225 }
gaudirun.s
string s
Definition: gaudirun.py:245

void GaudiRoot::popCurrentDataObject | ( |  | ) |

Definition at line 38 of file RootIOHandler.cpp.

38 {
39 Gaudi::popCurrentDataObject();
40 resetLastLink();
41 }
Gaudi::popCurrentDataObject
GAUDI_API void popCurrentDataObject()
Definition: RootIOHandler.cpp:38
GaudiRoot::resetLastLink
void resetLastLink()
Definition: RootIOHandler.cpp:30

void GaudiRoot::pushCurrentDataObject | ( | DataObject ** | pobjAddr | ) |

Definition at line 34 of file RootIOHandler.cpp.

34 {
35 Gaudi::pushCurrentDataObject(pobjAddr);
36 resetLastLink();
37 }
Gaudi::pushCurrentDataObject
GAUDI_API void pushCurrentDataObject(DataObject **pobjAddr)
Definition: RootIOHandler.cpp:34
GaudiRoot::resetLastLink
void resetLastLink()
Definition: RootIOHandler.cpp:30

void GaudiRoot::resetLastLink | ( |  | ) |

Definition at line 30 of file RootIOHandler.cpp.

30 {
31 last_link_object = nullptr;
32 last_link_hint = -1;
33 }